- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# VOL_parms Struct Reference

This class contains the parameters controlling the Volume Algorithm. More...

`#include <OsiTestSolver.hpp>`

List of all members.

## Public Attributes
double | lambdainit
| initial value of lambda
double | alphainit
| initial value of alpha
double | alphamin
| minimum value for alpha
double | alphafactor
| when little progress is being done, we multiply alpha by alphafactor
double | ubinit
| initial upper bound of the value of an integer solution
double | primal_abs_precision
| accept if max abs viol is less than this
double | gap_abs_precision
| accept if abs gap is less than this
double | gap_rel_precision
| accept if rel gap is less than this
double | granularity
| terminate if best_ub - lcost < granularity
double | minimum_rel_ascent
| terminate if the relative increase in lcost through `ascent_check_invl` steps is less than this
int | ascent_first_check
| when to check for sufficient relative ascent the first time
int | ascent_check_invl
| through how many iterations does the relative ascent have to reach a minimum
int | maxsgriters
| maximum number of iterations
int | printflag
| controls the level of printing.
int | printinvl
| controls how often do we print
int | heurinvl
| controls how often we run the primal heuristic
int | greentestinvl
| how many consecutive green iterations are allowed before changing lambda
int | yellowtestinvl
| how many consecutive yellow iterations are allowed before changing lambda
int | redtestinvl
| how many consecutive red iterations are allowed before changing lambda
int | alphaint
| number of iterations before we check if alpha should be decreased
char * | temp_dualfile
| name of file for saving dual solution
char * | temp_dualfile
| name of file for saving dual solution

## Detailed Description

This class contains the parameters controlling the Volume Algorithm.

Definition at line 69 of file OsiTestSolver.hpp.

## Member Data Documentation

double VOL_parms::lambdainit

initial value of lambda

Definition at line 71 of file OsiTestSolver.hpp.

double VOL_parms::alphainit

initial value of alpha

Definition at line 73 of file OsiTestSolver.hpp.

double VOL_parms::alphamin

minimum value for alpha

Definition at line 75 of file OsiTestSolver.hpp.

Referenced by VOL_alpha_factor::factor().

double VOL_parms::alphafactor

when little progress is being done, we multiply alpha by alphafactor

Definition at line 77 of file OsiTestSolver.hpp.

Referenced by VOL_alpha_factor::factor().

double VOL_parms::ubinit

initial upper bound of the value of an integer solution

Definition at line 80 of file OsiTestSolver.hpp.

double VOL_parms::primal_abs_precision

accept if max abs viol is less than this

Definition at line 83 of file OsiTestSolver.hpp.

double VOL_parms::gap_abs_precision

accept if abs gap is less than this

Definition at line 85 of file OsiTestSolver.hpp.

double VOL_parms::gap_rel_precision

accept if rel gap is less than this

Definition at line 87 of file OsiTestSolver.hpp.

double VOL_parms::granularity

terminate if best_ub - lcost < granularity

Definition at line 89 of file OsiTestSolver.hpp.

double VOL_parms::minimum_rel_ascent

terminate if the relative increase in lcost through `ascent_check_invl` steps is less than this

Definition at line 93 of file OsiTestSolver.hpp.

int VOL_parms::ascent_first_check

when to check for sufficient relative ascent the first time

Definition at line 95 of file OsiTestSolver.hpp.

int VOL_parms::ascent_check_invl

through how many iterations does the relative ascent have to reach a minimum

Definition at line 98 of file OsiTestSolver.hpp.

int VOL_parms::maxsgriters

maximum number of iterations

Definition at line 101 of file OsiTestSolver.hpp.

int VOL_parms::printflag

controls the level of printing.

The flag should the the 'OR'-d value of the following options:

- 0 - print nothing
- 1 - print iteration information
- 2 - add lambda information
- 4 - add number of Red, Yellow, Green iterations

Default: 3

Definition at line 113 of file OsiTestSolver.hpp.

Referenced by VOL_swing::lfactor().

int VOL_parms::printinvl

controls how often do we print

Definition at line 115 of file OsiTestSolver.hpp.

int VOL_parms::heurinvl

controls how often we run the primal heuristic

Definition at line 117 of file OsiTestSolver.hpp.

int VOL_parms::greentestinvl

how many consecutive green iterations are allowed before changing lambda

Definition at line 121 of file OsiTestSolver.hpp.

Referenced by VOL_swing::lfactor().

int VOL_parms::yellowtestinvl

how many consecutive yellow iterations are allowed before changing lambda

Definition at line 124 of file OsiTestSolver.hpp.

Referenced by VOL_swing::lfactor().

int VOL_parms::redtestinvl

how many consecutive red iterations are allowed before changing lambda

Definition at line 127 of file OsiTestSolver.hpp.

Referenced by VOL_swing::lfactor().

int VOL_parms::alphaint

number of iterations before we check if alpha should be decreased

Definition at line 130 of file OsiTestSolver.hpp.

char* VOL_parms::temp_dualfile

name of file for saving dual solution

Definition at line 133 of file OsiTestSolver.hpp.

char* VOL_parms::temp_dualfile

name of file for saving dual solution

Definition at line 130 of file VolVolume.hpp.

The documentation for this struct was generated from the following files:

- /home/coin/SVN-release/Vol-1.2.0/Osi/test/OsiTestSolver.hpp
- /home/coin/SVN-release/Vol-1.2.0/Vol/src/VolVolume.hpp